package cn.reghao.devops.mgr.admin.model.vo;

import cn.reghao.devops.mgr.admin.model.po.Menu;
import lombok.Data;

/**
 * @author reghao
 * @date 2021-07-15 14:06:13
 */
@Data
public class MenuTree {
    private int id;
    private int pid;
    private String name;
    private String url;
    private String type;
    // 授予了访问权限
    private boolean granted;

    public MenuTree(Menu menu) {
        this.id = menu.getId();
        this.pid = menu.getPid();
        this.name = menu.getName();
        this.url = menu.getUrl();
        this.type = menu.getType();
        this.granted = false;
    }
}
